Bug 324438 - eclipse crashing with last kubuntu 13.10 packages
Summary: eclipse crashing with last kubuntu 13.10 packages
Status: RESOLVED FIXED
Alias: None
Product: Oxygen
Classification: Plasma
Component: gtk2-engine (show other bugs)
Version: 4.11.0
Platform: Ubuntu Linux
: NOR crash with 141 votes (vote)
Target Milestone: ---
Assignee: Hugo Pereira Da Costa
URL:
Keywords:
: 324440 325072 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-09-03 02:45 UTC by Alexey
Modified: 2015-03-20 23:12 UTC (History)
21 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
error log for zend studio 10.1 crash (eclipse 3.8) (110.33 KB, text/plain)
2013-09-12 13:01 UTC, Dave Lozier
Details
Zend Studio JRM Crash log (117.24 KB, text/x-log)
2014-01-10 14:31 UTC, Tom B
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey 2013-09-03 02:45:38 UTC
output in terminal
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fb443d3016c, pid=14126, tid=140413647234816
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [liboxygen-gtk.so+0x7416c]  Oxygen::MenuStateData::menuItemIsActive(_GtkWidget*) const+0x1c
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /media/oldhome/swex/bin/pydev/eclipse4.3/hs_err_pid14126.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#


Reproducible: Always

Steps to Reproduce:
1.try to navigate in eclipse menu

Actual Results:  
crush

Expected Results:  
smooth work :)
Comment 1 Hugo Pereira Da Costa 2013-09-03 12:02:01 UTC
*** Bug 324440 has been marked as a duplicate of this bug. ***
Comment 2 Hugo Pereira Da Costa 2013-09-03 12:02:49 UTC
will need version of 
- eclipse
- gtk+-2.0
- oxygen-gtk2

Thanks !
Comment 3 Alexey 2013-09-03 12:05:26 UTC
eclipse 4.3, 4.2 (both versions I have crushing)
gtk 2.24.20-1ubuntu1
oxygen-gtk-1.3.4-0ubuntu1
Comment 4 Hugo Pereira Da Costa 2013-09-03 14:19:23 UTC
here:
eclipse 4.2.1
gtk 2.24.17
oxygen-gtk-1.4

Can't reproduce.
However, eclipse crash on startup as soon as I set "appears-as-list" to 1 in options.
Ruslan ? Can you reproduce any of the above ? 
I'll investigate some more (will update gtk, and downgrade oxygen-gtk)
Comment 5 Hugo Pereira Da Costa 2013-09-03 14:32:55 UTC
upgrading gtk, downgrading oxygen-gtk did not help. I could not reproduce.
Comment 6 Hugo Pereira Da Costa 2013-09-03 14:38:44 UTC
in the meanwhile you can probably prevent the crash by 
- opening oxygen-settings in terminal
- select the "animations" tab
- disable (uncheck) the "menu highlight" animation

Tell me if it helps.
Comment 7 Dave Lozier 2013-09-12 13:01:57 UTC
Created attachment 82297 [details]
error log for zend studio 10.1 crash (eclipse 3.8)

Using Kubunty 13.10 beta 1 (up to date) Zend Studio 10.1 crashes when I go to set up an SSH connection for remote systems. The Eclipse version is 3.8 which ZS is built on top of.

I do not have this problem with Kubuntu 13.04 and ZS 10.1 though.

I disabled animations as suggested here but ZS still crashes. Here is an excerpt of the error log (somewhat different than before)

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f651fab38c8, pid=3046, tid=140072619947776
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x198c8]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#
Comment 8 Hugo Pereira Da Costa 2013-09-12 13:35:05 UTC
@Dave
Report looks unrelated to the other (problem with gobject, from glib):

[libgobject-2.0.so.0+0x198c8] g_object_get_qdata+0x18

It is likely a different bug/crash, and likely unrelated to oxygen also.
Can you check whether or not you still have the crash when using a different widget style ? 

Hugo
Comment 9 Hugo Pereira Da Costa 2013-09-18 20:45:43 UTC
*** Bug 325072 has been marked as a duplicate of this bug. ***
Comment 10 Dave Lozier 2013-09-19 22:45:50 UTC
@Hugo - Thanks for the quick response!  Sorry for my slow one.

I also tried the Eclipse package installed from Muon and it crashes right after setting the default workspace. This was with the Oxygen menu highlighting enabled and disabled.

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007faa007d28c8, pid=2203, tid=140368452265728
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x198c8]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

When I changed to Plastique I was able to load Eclipse without crashing. Zend Studio 10.1 is also working. Before I was unable to add (caused crash) or edit remote systems and connecting to them did not appear to work. (no remote files were displayed even though it said I was connected)

Other than installing Skype from the .deb provided on thier site and installing Zend Studio my Kubuntu install is stock 13.10 beta 1 (with all updates as of this posting)

I prefer the Oxygen look for sure. Hopefully this can be resolved before the final release date. :)
Comment 11 Dave Lozier 2013-09-19 23:37:23 UTC
@Hugo

Versions installed:
dave@DarkMetal:~$ sudo apt-show-versions -r gtk|eclipse|oxygen
No command 'oxygen' found, did you mean:
 Command 'doxygen' from package 'doxygen' (main)
oxygen: command not found
dave@DarkMetal:~$ sudo apt-show-versions -r gtk|eclipse|oxygen
No command 'oxygen' found, did you mean:
 Command 'doxygen' from package 'doxygen' (main)
oxygen: command not found
dave@DarkMetal:~$ sudo apt-show-versions -r 'gtk|eclipse|oxygen'
eclipse-jdt:all/saucy 3.8.1-4 uptodate
eclipse-pde:amd64/saucy 3.8.1-4 uptodate
eclipse-platform:amd64/saucy 3.8.1-4 uptodate
eclipse-platform-data:all/saucy 3.8.1-4 uptodate
eclipse-rcp:amd64/saucy 3.8.1-4 uptodate
eclipse-rse:all/saucy 3.4.2-1 uptodate
gtk2-engines-oxygen:amd64/saucy 1.3.4-0ubuntu1 uptodate
gtk3-engines-oxygen:amd64/saucy 1.2.0-0ubuntu1 uptodate
kde-config-gtk-style:amd64/saucy 3:2.2.1-1fakesync1 uptodate
kde-style-oxygen:amd64/saucy 4:4.11.1-0ubuntu3 uptodate
libdbusmenu-gtk4:amd64/saucy 12.10.3+13.10.20130913-0ubuntu1 uptodate
libgtk-3-0:amd64/saucy 3.8.4-0ubuntu1 uptodate
libgtk-3-bin:amd64/saucy 3.8.4-0ubuntu1 uptodate
libgtk-3-common:all/saucy 3.8.4-0ubuntu1 uptodate
libgtk2.0-0:amd64/saucy 2.24.20-1ubuntu1 uptodate
libgtk2.0-bin:amd64/saucy 2.24.20-1ubuntu1 uptodate
libgtk2.0-common:all/saucy 2.24.20-1ubuntu1 uptodate
libreoffice-style-oxygen:all/saucy 1:4.1.1-0ubuntu1 uptodate
libswt-cairo-gtk-3-jni:amd64/saucy 3.8.2-3 uptodate
libswt-glx-gtk-3-jni:amd64/saucy 3.8.2-3 uptodate
libswt-gnome-gtk-3-jni:amd64/saucy 3.8.2-3 uptodate
libswt-gtk-3-java:amd64/saucy 3.8.2-3 uptodate
libswt-gtk-3-jni:amd64/saucy 3.8.2-3 uptodate
libswt-webkit-gtk-3-jni:amd64/saucy 3.8.2-3 uptodate
libwxgtk2.8-0:amd64/saucy 2.8.12.1-14ubuntu1 uptodate
oxygen-cursor-theme:all/saucy 0.0.2012-06-kde4.8-2.1ubuntu1 uptodate
oxygen-icon-theme:all/saucy 4:4.11.1-0ubuntu1 uptodate
python-gtk2:amd64/saucy 2.24.0-3ubuntu1 uptodate
ttf-oxygen-font-family:amd64/saucy 0.3~git20130121-0ubuntu1 uptodate

I hope that helps some. :)
Comment 12 Hugo Pereira Da Costa 2013-09-20 06:44:16 UTC
(In reply to comment #10)
> @Hugo - Thanks for the quick response!  Sorry for my slow one.
> 
> I also tried the Eclipse package installed from Muon and it crashes right
> after setting the default workspace. This was with the Oxygen menu
> highlighting enabled and disabled.
> 
> #
> # A fatal error has been detected by the Java Runtime Environment:
> #
> #  SIGSEGV (0xb) at pc=0x00007faa007d28c8, pid=2203, tid=140368452265728
> #
> # JRE version: 7.0_25-b30
> # Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64
> compressed oops)
> # Problematic frame:
> # C  [libgobject-2.0.so.0+0x198c8]  g_object_get_qdata+0x18
> #
> # Failed to write core dump. Core dumps have been disabled. To enable core
> dumping, try "ulimit -c unlimited" before starting Java again
> #
> # If you would like to submit a bug report, please include
> # instructions on how to reproduce the bug and visit:
> #   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
> # The crash happened outside the Java Virtual Machine in native code.
> # See problematic frame for where to report the bug.
> #
> 
> When I changed to Plastique I was able to load Eclipse without crashing.
> Zend Studio 10.1 is also working. Before I was unable to add (caused crash)
> or edit remote systems and connecting to them did not appear to work. (no
> remote files were displayed even though it said I was connected)
> 

Plastique ? 
You mean the Qt widget style ? (I am not aware of a Gtk Widget style called plastique).
Does that mean that the gtk widget style you are using for gtk application is actually gtk-qt ? 
(which somehow wraps Qt widget style into gtk, and is bound to fail with the fancy Qt oxygen widget theme) ? 
If yes you should definitely try oxygen-gtk instead. 
In any case: your crash is different from the others (the "problematic frame" is different). So this is unrelated.
Please
- try the suggestion above (use oxygen-gtk)
- see if your applications are still crashing
- see if the backtrace (the problematic frame) is the same "gobject" or like the one from Alexey (Oxygen::MenuStateData::menuItemIsActive)
- if yes, try again with disabling animations.
Comment 13 Dave Lozier 2013-09-20 13:56:00 UTC
> Plastique ? 
> You mean the Qt widget style ? (I am not aware of a Gtk Widget style called
> plastique).
> Does that mean that the gtk widget style you are using for gtk application
> is actually gtk-qt ? 
> (which somehow wraps Qt widget style into gtk, and is bound to fail with the
> fancy Qt oxygen widget theme) ? 
> If yes you should definitely try oxygen-gtk instead. 
> In any case: your crash is different from the others (the "problematic
> frame" is different). So this is unrelated.
> Please
> - try the suggestion above (use oxygen-gtk)
> - see if your applications are still crashing
> - see if the backtrace (the problematic frame) is the same "gobject" or like
> the one from Alexey (Oxygen::MenuStateData::menuItemIsActive)
> - if yes, try again with disabling animations.

From the application menu > Computer > System Settings > Application Appearance > Style > Widget Style > (CDE | Cleanlooks | GTK+ Style | MS Windows 9x | Motif | Oxygen | Plastique)

On Kubuntu 13.04 I use Oxygen without issue. On 13.10 it crashes Eclipse. (with and without animations disabled)

From the application menu > Computer > System Settings > Application Appearance > GTK > Select a GTK2 Theme > (oxygen-gtk | Raleigh)
From the application menu > Computer > System Settings > Application Appearance > GTK > Select a GTK3 Theme > (Default | Emacs | oxygen-gtk)

Selecting Raleigh for GTK2 theme and Emacs for GTK3 theme with Style > Oxygen > Animations (all disabled) prevents Eclipse from crashing.

Selecting Raleigh for GTK2 theme and Emacs for GTK3 theme with Style > Oxygen > Animations (all enabled) causes Eclipse to crash:

# Problematic frame:
# C  [libgobject-2.0.so.0+0x198c8]  g_object_get_qdata+0x18

Selecting Raleigh for GTK2 theme and Default for GTK3 theme with Style > Oxygen > Animations (all enabled) prevents Eclipse from crashing.
Comment 14 Dave Lozier 2013-09-26 18:43:14 UTC
The latest round of updates has fixed this for me. Both eclipse and zend studio are working as expected. Thanks!
Comment 15 nucleo 2013-09-26 19:11:22 UTC
So, what includes fix of crashes?
Comment 16 Hugo Pereira Da Costa 2013-09-27 07:03:56 UTC
I'm pretty sure there was no update on the oxygen-gtk side.
so either ecclipse, or gtk itself, or anything.
@Dave: you have animations enabled ? or disabled ? (in kde this is changed via system-settings or directly with "oxygen-settings")
Comment 17 Hugo Pereira Da Costa 2013-09-27 07:09:08 UTC
PS: if confirmed by Alexei, I'll close the bug as upstream.
Comment 18 Dave Lozier 2013-10-06 21:25:49 UTC
@Hugo

After updating the crash is back. :(

This one is a bit different in how it happens. If I open an already existing connection for which eclipse prompts me for the secure storage password and then close out I can then create a new connection without crashing. But if I right click on the remote systems panel to create a new connection straight off, and enter my secure storage password, and then try and create the new connection eclipse crashes when I click finish.

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ff35a0e7528, pid=2637, tid=140683485423360
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19528]  g_object_get_qdata+0x18
#
Comment 19 Bodo 2013-10-21 15:31:12 UTC
I get the same error on a patched Kubuntu 13.10 with Zend Eclipse for PHP Developers. Disabling menu animations as suggested solves the problem. However, everything looks very ugly after that, so that can only be a temporary solution.

#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f56a8f70528, pid=28259, tid=140010407618304
#
# JRE version: 7.0_25-b15
# Java VM: Java HotSpot(TM) 64-Bit Server VM (23.25-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19528]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# If you would like to submit a bug report, please visit:
#   http://bugreport.sun.com/bugreport/crash.jsp
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
Comment 20 Hugo Pereira Da Costa 2013-10-21 16:03:07 UTC
@Bodo
please post screenshot of what's look ugly
Comment 21 Wolfram Köhn 2013-10-22 07:02:16 UTC
A reliable way to generate the crash on my System is to start a file-search in eclipse. This started after the upgrading to Kubuntu 13.10 yesterday. The error message is:
> #
> # A fatal error has been detected by the Java Runtime Environment:
> #
> #  SIGSEGV (0xb) at pc=0x00007fc4e1e87528, pid=5877, tid=140484018239232
> #
> # JRE version: Java(TM) SE Runtime Environment (7.0_45-b18) (build 1.7.0_45-b18)
> # Java VM: Java HotSpot(TM) 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
> # Problematic frame:
> # C  [libgobject-2.0.so.0+0x19528]  g_object_get_qdata+0x18
> #
> # Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
> #
> # An error report file with more information is saved as:
> # /tmp/hs_err_pid5877.log
> Compiled method (nm)   20797 1400     n       org.eclipse.swt.internal.gtk.OS::_g_object_get_qdata (native)
>  total in heap  [0x00007fc4f1254690,0x00007fc4f1254a10] = 896
>  relocation     [0x00007fc4f12547b0,0x00007fc4f1254810] = 96
>  main code      [0x00007fc4f1254820,0x00007fc4f1254a10] = 496
> #
> # If you would like to submit a bug report, please visit:
> #   http://bugreport.sun.com/bugreport/crash.jsp
> #
Comment 22 Wolfram Köhn 2013-10-22 07:12:27 UTC
I forgot to mention, that none of the workarounds mentioned here improved something.
Comment 23 Bodo 2013-10-22 11:18:12 UTC
(In reply to comment #20)
> @Bodo
> please post screenshot of what's look ugly

It's every UI component that now looks kind of nineties. Especially buttons, menus and scrollbars. Yes, It's working - but the beauty of KDE has gone. Odd: most of KDE software still looks pretty (i.e kcalc, System Setting dialog, ...).

http://picload.org/image/oclradi/gimp_no_menu_ani.png
http://picload.org/image/oclraow/firefox_no_menu_.png
http://picload.org/image/oclralr/kcalc_no_menu_an.png
Comment 24 Hugo Pereira Da Costa 2013-10-22 12:17:07 UTC
@Bodo: from the screenshots, it seems you are not using oxygen-gtk as a gtk widget theme any more. (falling back to Raleigh). I don't think this is related to your disabling the menu animations ... Does it "come back" when you re-enable the animation ?
Comment 25 Hugo Pereira Da Costa 2013-10-22 12:18:57 UTC
@Wolfram
see comment to Dave (#7 and #8)
This is a gobject crash. Unrelated with the original crash report, and likely unrelated to oxygen-gtk. 
Which also explains why the workaround don't work.
Comment 26 Wolfram Köhn 2013-10-24 08:31:10 UTC
Hugo, you are right, this problem affects linux in all.
I swiched to eclipse-kepler, where they fixed it.
Comment 27 Bodo 2013-10-31 18:16:14 UTC
@Hugo: Yes, you are right. GTK2-Design is set to Raleigh. Switching to oxygen brings back the beauty but has the side effect that eclipse crashes very often (i.e. when performing a file search etc)
Comment 28 vdavy.mobile+kdebugtracker 2013-11-07 12:10:09 UTC
Hi,

I got the same problem on kubuntu 13.10 (everything up to date) with gtk2-engines-oxygen version 1.3.4-ubuntu. Trying with upgrading this package to 1.4.0 by getting it here http://packages.debian.org/unstable/gnome/gtk2-engines-oxygen did not solved the problem.

Here are the console logs I get when Eclipse crashes (I used android ADT to test, and to make it crash go to AVD manager, edit a device and click OK in edit window) :
With gtk2 oxygen version 1.3.4 :
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007fa6e29d9528, pid=3137, tid=140355564074752
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19528]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/vincent/hs_err_pid3137.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

And in version 1.4.0 :
#
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007f6d3a5d5528, pid=3612, tid=140107928499968
#
# JRE version: 7.0_25-b30
# Java VM: OpenJDK 64-Bit Server VM (23.7-b01 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19528]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /home/vincent/Téléchargements/hs_err_pid3612.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   https://bugs.launchpad.net/ubuntu/+source/openjdk-7/
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
#

Not seeming to change something...

Changing the GTK theme works properly, but eclipse and other gtk apps are awful
Comment 29 Christian Kvasny 2013-11-22 11:03:27 UTC
Hallo
me to. With 13.04 it works fine.
Changing the GTK theme works , but gtk apps looks like Apps from1980

lg Chris
Comment 30 Maarten Bezemer 2013-12-06 13:50:40 UTC
*** This bug has been confirmed by popular vote. ***
Comment 31 ssandon 2013-12-18 09:45:43 UTC
Problem with latest ADT from Google (Eclipse based).
Works great before the upgrade to 13.10.

Try switching for Oracle's JDK, but same thing.

Switching GTK2's theme to RALEIG solve the problem.
Cannot imagine an OS with such awfull design in 21st century ;-)
Comment 32 Hendy Irawan 2013-12-27 13:42:37 UTC
Yup, System Settings > Application Appearance > GTK > GTK2 Theme: Raleigh works excellent as workaround.

Eclipse looks awful? Firefox too with the Raleigh theme :(
Comment 33 Hugo Pereira Da Costa 2014-01-03 18:38:34 UTC
Git commit c52b7367d99444ace2743c87364591cb0dd164a7 by Hugo Pereira Da Costa.
Committed on 03/01/2014 at 17:47.
Pushed by hpereiradacosta into branch '1.4'.

properly reset _previous and _current widget, if matching, in case of child destruction, for ToolbarStateData, MenuStateData, MenuBarStateData
Related: bug 329112, bug 328495, bug 325196

M  +91   -0    src/animations/oxygenmenubarstatedata.cpp
M  +15   -0    src/animations/oxygenmenubarstatedata.h
M  +90   -0    src/animations/oxygenmenustatedata.cpp
M  +15   -0    src/animations/oxygenmenustatedata.h
M  +13   -0    src/animations/oxygentoolbarstatedata.cpp

http://commits.kde.org/oxygen-gtk/c52b7367d99444ace2743c87364591cb0dd164a7
Comment 34 Hugo Pereira Da Costa 2014-01-03 18:41:54 UTC
Can anyone experiencing the crash with "Oxygen::MenuStateData::menuItemIsActive(_GtkWidget*) "
try with latest oxygen-gtk branch 1.4, retrieved from git and compiled from source ? 
I "think" the change fixes the bug (the code change in MenuStateData makes sense in terms on how the old code could indeed crash and the new one should not)
Comment 35 Hugo Pereira Da Costa 2014-01-03 18:58:02 UTC
Git commit a9fd101716d92623e410099d9b13f31cb3236fe8 by Hugo Pereira Da Costa.
Committed on 03/01/2014 at 17:47.
Pushed by hpereiradacosta into branch 'gtk3'.

properly reset _previous and _current widget, if matching, in case of child destruction, for ToolbarStateData, MenuStateData, MenuBarStateData
Related: bug 329112, bug 328495, bug 325196

M  +91   -0    src/animations/oxygenmenubarstatedata.cpp
M  +15   -0    src/animations/oxygenmenubarstatedata.h
M  +90   -0    src/animations/oxygenmenustatedata.cpp
M  +15   -0    src/animations/oxygenmenustatedata.h
M  +13   -0    src/animations/oxygentoolbarstatedata.cpp

http://commits.kde.org/oxygen-gtk/a9fd101716d92623e410099d9b13f31cb3236fe8
Comment 36 Hugo Pereira Da Costa 2014-01-03 18:58:06 UTC
Git commit bd052fe914c6cf9da70dd4ab931a4b563cb6e742 by Hugo Pereira Da Costa.
Committed on 03/01/2014 at 17:47.
Pushed by hpereiradacosta into branch 'gtk3-1.2'.

properly reset _previous and _current widget, if matching, in case of child destruction, for ToolbarStateData, MenuStateData, MenuBarStateData
Related: bug 329112, bug 328495, bug 325196

M  +91   -0    src/animations/oxygenmenubarstatedata.cpp
M  +15   -0    src/animations/oxygenmenubarstatedata.h
M  +90   -0    src/animations/oxygenmenustatedata.cpp
M  +15   -0    src/animations/oxygenmenustatedata.h
M  +13   -0    src/animations/oxygentoolbarstatedata.cpp

http://commits.kde.org/oxygen-gtk/bd052fe914c6cf9da70dd4ab931a4b563cb6e742
Comment 37 Bruno Friedmann 2014-01-04 16:28:24 UTC
It also happen With ZendStudio 10.5 / ApacheDirectoryStudio and other eclipse based product.
Will try the patches
Comment 38 Tom B 2014-01-09 17:44:06 UTC
(Feel free to delete this if not considered constructive)

The above patches worked perfectly for me, it just took a while to locate exactly where I needed to install the files after compilation. Thank you Hugo Pereira Da Costa!
Comment 39 Hugo Pereira Da Costa 2014-01-10 08:41:46 UTC
@Tom
Thanks for the feadback.
Closing then.
Comment 40 Tom B 2014-01-10 14:22:36 UTC
Ok update: It fixed it when adding remote systems in Zend Studio but there's an issue in another part.

Opening and closing the Find dialog multiple times causes a crash. This also happens in Eclipse.

In Eclipse it seems to happen every single time "Close" is pressed on the find dialog. In Zend studio it happens (roughly) every other time.
Comment 41 Hugo Pereira Da Costa 2014-01-10 14:24:54 UTC
@Tom

That's probably another issue.
Will try to reproduce. 
If unable (will tell you), I'd like a stack trace/core dump. As usual.
Comment 42 Tom B 2014-01-10 14:31:57 UTC
Created attachment 84560 [details]
Zend Studio JRM Crash log
Comment 43 Tom B 2014-01-10 14:32:53 UTC
I've attached the log file which causes the crash. However, like the previous issue it can be worked around by changing the GTK2 theme to something other than Oxygen-GTK.
Comment 44 Hugo Pereira Da Costa 2014-01-10 14:36:37 UTC
yeah well,
this is definitly "the other bug" that got reported here.
crashing in "g_object_get_qdata"
that's the kind of mess we end up with when multiple crashes are reported in the same bug report.

please open a new one (with the same attachement, and a correct description of the crash).
This bug is about "Oxygen::MenuStateData::menuItemIsActive", as reported in first comment, and got fixed.

the rest is just hijack
Comment 45 Hugo Pereira Da Costa 2014-01-10 14:37:48 UTC
PS 1: I have no clue (yet) how to debug and fix this one
PS 2: this is likely a duplicate of bug 329445
Comment 46 Tom B 2014-01-10 14:46:31 UTC
Ok will do. Sorry it's difficult as a non-developer to distinguish between the two when the problem is similar and the workaround is the same.
Comment 47 nucleo 2014-01-21 14:20:56 UTC
See comments
https://bugzilla.redhat.com/show_bug.cgi?id=1053565#c4
https://bugzilla.redhat.com/show_bug.cgi?id=1053565#c5

> oxygen-gtk2-1.4.2-1.fc20 works *much* better but sadly not predictable clean 
> enough, however, this update should be pushed because it makes things really 
> better as before

> at night i tested all the cases where before in eclipse (Zend Studio 10.5.1 to be 
> precise) and it looked perfect - where i still can repdrocude *unpredictable* a 
> force close if by close the search dialog (CTRL+F), not always, not as i gave karma 
> but that is still critical and may lead to lose changes / work

> in the cases i can reproduce the "force close" it looks like the same issue as before ([libgobject-2.0.so.0+0x19b48)

[harry@rh:~]$ ZendStudio 
# A fatal error has been detected by the Java Runtime Environment:
#
#  SIGSEGV (0xb) at pc=0x00007ffa3e745b48, pid=23538, tid=140713467508480
#
# JRE version: OpenJDK Runtime Environment (7.0_51-b02) (build 1.7.0_51-mockbuild_2014_01_17_13_38-b00)
# Java VM: OpenJDK 64-Bit Server VM (24.45-b08 mixed mode linux-amd64 compressed oops)
# Problematic frame:
# C  [libgobject-2.0.so.0+0x19b48]  g_object_get_qdata+0x18
#
# Failed to write core dump. Core dumps have been disabled. To enable core dumping, try "ulimit -c unlimited" before starting Java again
#
# An error report file with more information is saved as:
# /tmp/jvm-23538/hs_error.log
#
# If you would like to submit a bug report, please include
# instructions on how to reproduce the bug and visit:
#   http://icedtea.classpath.org/bugzilla
# The crash happened outside the Java Virtual Machine in native code.
# See problematic frame for where to report the bug.
Comment 48 Hugo Pereira Da Costa 2014-01-21 14:23:40 UTC
@nucleo
not the right bug report (see crash information in first comment, which is fixed).
Right bug report is: 
https://bugs.kde.org/show_bug.cgi?id=329814

All comments posted here will be ignored, as the bug is marked as fixed (it is)
Comment 49 Hugo Pereira Da Costa 2014-01-21 14:24:48 UTC
Note: as commented in the other report, the crash also happens with qtcurve and might actually be upstream (gtk or swt)
Comment 51 marw 2014-01-25 20:42:16 UTC
I see the comments that the bug is fixed, but I get the same crash in KDE Mint 16.  Switching to Raleigh/Emacs theme "helps".
Comment 52 Raffaele Gambelli 2014-02-13 09:06:02 UTC
Which should be the resolution for this bug? It's not clear from this thread.
Anyway I have this tedious bug too, I'm using 64bit kubuntu 13.10 and last release of Eclipse (Kepler 4.3.1)
Comment 53 Hugo Pereira Da Costa 2014-02-16 11:26:52 UTC
@Raffaelle
Depends on which bug you are talking about (more precisely what is in the stack trace).
If you have something like: 
# Problematic frame: # C [liboxygen-gtk.so+0x7416c] Oxygen::MenuStateData::menuItemIsActive(_GtkWidget*) const+0x1c 
(see comment #1)
This is the original bug, and should be fixed by now.

If you have something like: 
# Problematic frame: 
# C [libgobject-2.0.so.0+0x198c8] g_object_get_qdata+0x18 

This is a different bug, not addressed here, and which might not even be oxygen-gtk specific.